"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.initPermissionClient = initPermissionClient;
exports.getPermissionClient = getPermissionClient;
const createResolver_1 = require("../utils/createResolver");
let instance;
async function initPermissionClient(options) {
    instance = await (0, createResolver_1.createResolverFromSource)(async () => {
        const { data } = await options.fetchRules();
        return data;
    });
}
function getPermissionClient() {
    if (!instance) {
        throw new Error("PermissionResolver not initialized");
    }
    return instance;
}
